%global python3_pkgversion 3.11
%global pypi_name black

# bcond is reversed? Run wihout to run tests
%bcond_with tests

Name:           python3.11-black
Version:        24.10.0
Release:        1.0.1%{?dist}
Summary:        The uncompromising code formatter.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/psf/black
Source:         %{pypi_source black}
Patch0:         0001-Add-setup.py-file.patch


BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-click
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pathspec
BuildRequires:  python%{python3_pkgversion}-platformdirs
BuildRequires:  python%{python3_pkgversion}-mypy_extensions
%endif

Requires: %{?scl_prefix}python%{python3_pkgversion}-click >= 8.0.0
Requires: %{?scl_prefix}python%{python3_pkgversion}-mypy_extensions >= 0.4.3
Requires: %{?scl_prefix}python%{python3_pkgversion}-packaging >= 22.0
Requires: %{?scl_prefix}python%{python3_pkgversion}-pathspec >= 0.9.0
Requires: %{?scl_prefix}python%{python3_pkgversion}-platformdirs >= 2

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'black' generated automatically by pyp2spec.}

%description %_description

%global debug_package %{nil}

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python%{python3_pkgversion}-black colorama,d,jupyter,uvloop
%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%if %{with tests}
%check
%{pytest}
%endif


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/black
%{_bindir}/blackd
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/_black_version.py
%{python3_sitelib}/blackd
%{python3_sitelib}/blib2to3
%pycached %{python3_sitelib}/_black_version.py

%changelog
* Fri Feb 21 2024 Rafael Barron <rafael.barron@oracle.com> - 24.10.0-1.0.1
- Update to 24.10.0

* Mon Oct 21 2024 Carlos Heiras <carlos.heiras@oracle.com> - 24.4.2-1.0.4
- OLAM-474: Add distribution suffix to package name

* Fri Sep 20 2024 Carlos Heiras <carlos.heiras@oracle.com> - 24.4.2-1.0.3
- OLAM-377: Rework and add setup.py as patch

* Fri Sep 20 2024 Carlos Heiras <carlos.heiras@oracle.com> - 24.4.2-1.0.2
- OLAM-376: Add missing runtime dependencies

* Tue Aug 13 2024 Craig Guiller <craig.guiller@oracle.com> - 24.4.2-1.0.1
- Disable tests, making them optional with a macro

* Thu Jul 18 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 24.4.2-1
- Upgrade to version 24.4.2
